{
  "org.thingsboard.server.dao.model.BaseSqlEntity.getId": [
    "[]"
  ],
  "org.thingsboard.server.dao.rule.BaseRuleChainService.getRuleChainNodes": [
    "[{\"SYS_TENANT_ID\":{\"SYS_TENANT_ID\":{\"r\":\"@org.thingsboard.server.common.data.id.TenantId\"},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},{\"log\":{\"r\":\"@ch.qos.logback.classic.Logger\"},\"serialVersionUID\":\"2807343040519543363\",\"CONTAINS_TYPE\":\"Contains\",\"MANAGES_TYPE\":\"Manages\",\"from\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"to\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"type\":\"Contains\",\"typeGroup\":\"RULE_CHAIN\",\"additionalInfoBytes\":[\"110\",\"117\",\"108\",\"108\"]}]"
  ],
  "org.thingsboard.server.dao.relation.BaseRelationService.saveRelation": [
    "[{\"SYS_TENANT_ID\":{\"SYS_TENANT_ID\":{\"r\":\"@org.thingsboard.server.common.data.id.TenantId\"},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},{\"log\":{\"r\":\"@ch.qos.logback.classic.Logger\"},\"serialVersionUID\":\"2807343040519543363\",\"CONTAINS_TYPE\":\"Contains\",\"MANAGES_TYPE\":\"Manages\",\"from\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"to\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"type\":\"Contains\",\"typeGroup\":\"RULE_CHAIN\"}]"
  ],
  "org.thingsboard.server.dao.sql.relation.JpaRelationDao.saveRelation": [
    "[{\"SYS_TENANT_ID\":{\"SYS_TENANT_ID\":{\"r\":\"@org.thingsboard.server.common.data.id.TenantId\"},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},{\"log\":{\"r\":\"@ch.qos.logback.classic.Logger\"},\"serialVersionUID\":\"2807343040519543363\",\"CONTAINS_TYPE\":\"Contains\",\"MANAGES_TYPE\":\"Manages\",\"from\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"to\":{\"serialVersionUID\":\"1\",\"id\":{\"r\":\"@java.util.UUID\"}},\"type\":\"Contains\",\"typeGroup\":\"RULE_CHAIN\"}]"
  ],
  "org.thingsboard.server.dao.util.mapping.JsonTypeDescriptor.areEqual": [
    "[{\"r\":\"@com.fasterxml.jackson.databind.node.ObjectNode\"},{\"r\":\"@com.fasterxml.jackson.databind.node.ObjectNode\"}]"
  ],
  "org.thingsboard.server.dao.util.mapping.JacksonUtil.clone": [
    "[{\"r\":\"@com.fasterxml.jackson.databind.node.ObjectNode\"}]"
  ],
  "org.thingsboard.server.dao.util.mapping.JsonTypeDescriptor.1.deepCopyNotNull": [
    "[{\"r\":\"@com.fasterxml.jackson.databind.node.ObjectNode\"}]"
  ],
  "org.thingsboard.server.dao.sql.widget.JpaWidgetsBundleDao.findWidgetsBundleByTenantIdAndAlias": [
    "[{\"r\":\"@java.util.UUID\"},\"maps_v2\"]",
    "[{\"r\":\"@java.util.UUID\"},\"charts\"]"
  ]
}